Page MenuHomePhabricator

File '/srv/mediawiki/php-1.34.0-wmf.20/skins/MinervaNeue/resources/resources/skins.minerva.personalMenu.icons/userSandbox.svg' does not exist
Closed, ResolvedPublic

Description

Error

Request ID: XWVcoQpAAD0AAAgRLGIAAACD
Request URL: www.mediawiki.org/w/load.php...

message
[XWVcoQpAAD0AAAgRLGIAAACD] /w/load.php?lang=en&modules=ext.3d.styles%7Cext.uls.pt%7Cext.visualEditor.desktopArticleTarget.noscript%7Cext.wikimediaBadges%7Cmediawiki.hlist%7Cmediawiki.page.gallery.styles%7Cmediawiki.ui.button%2Cicon%7Cskins.minerva.amc.styles%7Cskins.minerva.base.styles%7Cskins.minerva.content.styles%7Cskins.minerva.content.styles.images%7Cskins.minerva.icons.images%2Cloggedin%2Cwikimedia%7Cskins.minerva.loggedin.styles%7Cskins.minerva.mainMenu.advanced.icons%7Cskins.minerva.personalMenu.icons%7Cwikibase.client.init%7Cwikimedia.ui&only=styles&skin=minerva   MWException from line 280 of /srv/mediawiki/php-1.34.0-wmf.20/includes/resourceloader/ResourceLoaderImage.php: File '/srv/mediawiki/php-1.34.0-wmf.20/skins/MinervaNeue/resources/resources/skins.minerva.personalMenu.icons/userSandbox.svg' does not exist
trace
#0 /srv/mediawiki/php-1.34.0-wmf.20/includes/resourceloader/ResourceLoaderImage.php(250): ResourceLoaderImage->getImageData(ResourceLoaderContext, NULL, string)
#1 /srv/mediawiki/php-1.34.0-wmf.20/includes/resourceloader/ResourceLoaderImageModule.php(374): ResourceLoaderImage->getDataUri(ResourceLoaderContext, NULL, string)
#2 /srv/mediawiki/php-1.34.0-wmf.20/includes/resourceloader/ResourceLoaderImageModule.php(332): ResourceLoaderImageModule->getStyleDeclarations(ResourceLoaderContext, ResourceLoaderImage, string)
#3 /srv/mediawiki/php-1.34.0-wmf.20/includes/resourceloader/ResourceLoaderModule.php(732): ResourceLoaderImageModule->getStyles(ResourceLoaderContext)
#4 /srv/mediawiki/php-1.34.0-wmf.20/includes/resourceloader/ResourceLoaderModule.php(679): ResourceLoaderModule->buildContent(ResourceLoaderContext)
#5 /srv/mediawiki/php-1.34.0-wmf.20/includes/resourceloader/ResourceLoader.php(1005): ResourceLoaderModule->getModuleContent(ResourceLoaderContext)
#6 /srv/mediawiki/php-1.34.0-wmf.20/includes/resourceloader/ResourceLoader.php(710): ResourceLoader->makeModuleResponse(ResourceLoaderContext, array, array)
#7 /srv/mediawiki/php-1.34.0-wmf.20/load.php(46): ResourceLoader->respond(ResourceLoaderContext)
#8 /srv/mediawiki/w/load.php(3): include(string)
#9 {main}
Impact

5 hits in the last hour. Not seen before that.

Notes

Since it's a new error, it's blocking the train.

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : wmf/1.34.0-wmf.20Fix userSandbox path
mediawiki/skins/MinervaNeue : masterFix userSandbox path
mediawiki/skins/MinervaNeue : masterRevert "Separate AMC icons from non-AMC icons"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2019, 4:54 PM
zeljkofilipin triaged this task as Unbreak Now! priority.Aug 27 2019, 4:54 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 27 2019, 4:55 PM
hashar added a subscriber: hashar.
skins/MinervaNeue/resources/resources/skins.minerva.personalMenu.icons/userSandbox.svg
                  ^^^^^^^^^^^^^^^^^^^

The file path is wrong, it has an extra resources directory in the path. I am really wondering how that one has passed through CI, I thought we had a structure test to validate file existence!

Change 532748 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] Revert "Separate AMC icons from non-AMC icons"

https://gerrit.wikimedia.org/r/532748

Fault introduced by @Jdlrobson via 062e067d4964c2854c33821fb5522cf578dc4f89

+                               "userSandbox": "resources/resources/skins.minerva.personalMenu.icons/userSandbox.svg"
                                                ^^^^^^^^^^^^^^^^^^^
-                               "userSandbox": "resources/skins.minerva.mainMenu.icons/userSandbox.svg"

Which is an easy fix. Then I guess as a follow up we need to figure out why MediaWiki tests have not caught that one.

Change 532750 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Fix userSandbox path

https://gerrit.wikimedia.org/r/532750

Change 532748 abandoned by Niedzielski:
Revert "Separate AMC icons from non-AMC icons"

https://gerrit.wikimedia.org/r/532748

Change 532750 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Fix userSandbox path

https://gerrit.wikimedia.org/r/532750

Change 532758 had a related patch set uploaded (by Jforrester; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.20] Fix userSandbox path

https://gerrit.wikimedia.org/r/532758

Change 532758 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.20] Fix userSandbox path

https://gerrit.wikimedia.org/r/532758

Mentioned in SAL (#wikimedia-operations) [2019-08-27T18:56:33Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.20/skins/MinervaNeue/skin.json: T231358 Fix userSandbox image path (duration: 00m 53s)

Jdforrester-WMF closed this task as Resolved.Aug 27 2019, 7:05 PM
Jdforrester-WMF assigned this task to Jdlrobson.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

OK, this seems now to be fixed. Thanks @Jdlrobson!

Filled T231430 to have a structure test added. The MediaWiki core structure tests should have detected an image is not existing.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptFeb 13 2020, 6:34 PM